Skip to main content
GET
/
v2
/
responsiblePersons
Query Responsible Persons
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/responsiblePersons \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "number": "<string>",
    "description": "<string>",
    "address": {
      "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "company": "<string>",
      "company2": "<string>",
      "formOfAddress": "<string>",
      "title": "<string>",
      "firstName": "<string>",
      "lastName": "<string>",
      "street": "<string>",
      "address2": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "state": "<string>",
      "countryIso": "<string>",
      "vatID": "<string>",
      "phoneNumber": "<string>",
      "mobilePhoneNumber": "<string>",
      "emailAddress": "<string>",
      "fax": "<string>"
    },
    "created": "2023-11-07T05:31:56Z",
    "lastChanged": "2023-11-07T05:31:56Z",
    "isActive": true,
    "languageKey": "b45f6432-2462-4c6f-b00f-1d9d01000000"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

Returns all ResponsiblePerson.

id
string<uuid>

Unique ID to identify a Contact.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string

Unique Number of the ResponsiblePerson.

description
string

Manufacturer description.

address
object

The customer's default address.

created
string<date-time>

The DateTime of Creation.

lastChanged
string<date-time>

The DateTime of the Lastchange.

isActive
boolean

The ResponsiblePerson is active

languageKey
string<uuid>

The Default Language of the ResponsiblePerson

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"